Name:           kanatest
Version:        0.4.8
Release:        5%{?dist}
Summary:        Hiragana and Katakana drill tool

Group:          Amusements/Games
License:        GPLv2+
URL:            http://clayo.org/kanatest/
Source0:        http://clayo.org/kanatest/%{name}-%{version}.tar.gz

# Already fixed upstream, backported until new release is published
Patch1:         kanatest-0.4.8-gtkfixes.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils >= 0.9
BuildRequires:  gtk2-devel >= 2.0
BuildRequires:  libxml2-devel
BuildRequires:  gettext
Requires:       fonts-japanese
Requires:       hicolor-icon-theme

%description
Kanatest is a simple, GTK 2-based kana drill tool. It offers three drill modes:
hiragana, katakana, and mixed mode. The tester shows random kana characters
and waits until you enter the romaji equivalent in an entry field. At the end,
statistics are provided

%prep
%setup -q
%patch1 -p1 -b gtkfixes


%build
export PLATFORM_CFLAGS="$RPM_OPT_FLAGS"
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING ChangeLog
%{_bindir}/kanatest
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/kanatest.png
%{_datadir}/icons/hicolor/16x16/apps/*
%{_datadir}/icons/hicolor/22x22/apps/*
%{_datadir}/icons/hicolor/24x24/apps/*
%{_datadir}/icons/hicolor/32x32/apps/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/icons/hicolor/scalable/apps/*


%changelog
* Sat Jun 25 2011 Robert Marcano <robert@marcanoonline.com> - 0.4.8-5
- Fix Bug 631023 FTBFS
- Fix URL

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jun 13 2009 Robert Marcano <robert@marcanoonline.com> - 0.4.8-2
- Update to upstream release 0.4.8

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.4-6
- fix license tag

* Fri Apr 04 2008 Robert Marcano <robert@marcanoonline.com> - 0.4.4-5
- fix bug #249977: kanatest not built with $RPM_OPT_FLAGS

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.4-4
- Autorebuild for GCC 4.3

* Wed Sep 19 2007 Robert Marcano <robert@marcanoonline.com> - 0.4.4-3
- Update to upstream release 0.4.4

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.4.2-3
- Rebuild for selinux ppc32 issue.

* Thu Jun 21 2007 Robert Marcano <robert@marcanoonline.com> - 0.4.2-2
- Update to upstream release 0.4.2 - Bug 245177
- URL changed - Bug 245177

* Mon Aug 28 2006 Robert Marcano <robert@marcanoonline.com> - 0.3.6-6
- Rebuild

* Fri Jul 28 2006 Robert Marcano <robert@marcanoonline.com> - 0.3.6-5
- Fix build in mock (bug #200076)

* Mon Feb 13 2006 Robert Marcano <robert@marcanoonline.com> - 0.3.6-4
- Rebuild for Fedora Extras 5

* Fri May 20 2005 Robert Marcano <robert@marcanoonline.com> - 0.3.6-3
- Added desktop-file-utils to BuildRequires

* Mon May 09 2005 Robert Marcano <robert@marcanoonline.com> - 0.3.6-2
- Fix spec file following fedora-extras-list recomendations

* Sun May 08 2005 Robert Marcano <robert@marcanoonline.com> - 0.3.6-1
- Initial RPM release.
